utils.h File Reference
Utilities » Utilities

`pipewire/utils.h` More...

Go to the source code of this file.

## Macros

#define | strndupa(s, n)
#define | strdupa(s)

## Typedefs

typedef void(* | pw_destroy_t) (void *object)
| a function to destroy an item More...

## Functions

const char * | pw_split_walk (const char *str, const char *delimiter, size_t *len, const char **state)
| Split a string based on delimiters. More...
char ** | pw_split_strv (const char *str, const char *delimiter, int max_tokens, int *n_tokens)
| Split a string based on delimiters. More...
void | pw_free_strv (char **str)
| Free a NULL terminated array of strings. More...
char * | pw_strip (char *str, const char *whitespace)
| Strip all whitespace before and after a string. More...
ssize_t | pw_getrandom (void *buf, size_t buflen, unsigned int flags)
| Fill a buffer with random data. More...

## Detailed Description

`pipewire/utils.h`